Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » The specified JRE installation does not exist(The specified JRE installation does not exist)
The specified JRE installation does not exist [message #871280] Fri, 11 May 2012 18:27 Go to next message
JIA Pei is currently offline JIA PeiFriend
Messages: 49
Registered: September 2009
Member


Hi, all:

Environment:

Quote:
OS: Ubuntu 12.04
Eclipse: Indigo Service Release 2
Eclipse Build id: 20120216-1857
Installed jdk(s)
/usr/lib/jvm$ ls -l
total 28
lrwxrwxrwx 1 root root 23 Dec 2 05:46 default-java -> java-1.6.0-openjdk-i386
drwxr-xr-x 4 root root 4096 Apr 28 04:22 java-1.5.0-gcj-4.6
lrwxrwxrwx 1 root root 23 Dec 2 05:46 java-1.6.0-openjdk -> java-1.6.0-openjdk-i386
lrwxrwxrwx 1 root root 19 Apr 12 18:57 java-1.6.0-openjdk-i386 -> java-6-openjdk-i386
lrwxrwxrwx 1 root root 11 Apr 17 19:14 java-1.6.0-sunjdk -> jdk1.6.0_31
lrwxrwxrwx 1 root root 19 Oct 21 2011 java-1.7.0-openjdk-i386 -> java-7-openjdk-i386
drwxr-xr-x 2 root root 4096 Apr 28 01:16 java-6-openjdk
drwxr-xr-x 3 root root 4096 Apr 28 01:11 java-6-openjdk-common
drwxr-xr-x 8 root root 4096 Apr 28 01:16 java-6-openjdk-i386
drwxr-xr-x 3 root root 4096 Apr 28 01:16 java-7-openjdk-common
drwxr-xr-x 8 root root 4096 Apr 28 01:15 java-7-openjdk-i386
drwxr-xr-x 10 root root 4096 Apr 17 19:42 jdk1.6.0_31
peij@peij-Ubuntu:/usr/lib/jvm$



I can successfully build the project by typing "ant" in shell, however, it never succeed in Eclipse IDE, but only complains "The specified JRE installation does not exist". It seems a lot of people meet the same issues as mine, for instance
http://www.coderanch.com/t/508537/tools/specified-jre-installation-does-not
http://www.experts-exchange.com/Programming/Editors_IDEs/Java/Eclipse/Q_25347080.html

You can find more from
http://www.google.ca/search?sourceid=chrome&client=ubuntu&channel=cs&ie=UTF-8&q=%5BJRE%5D%3A+Unable+to+resolve+JRE%3A+java-6-openjdk+(Standard+VM)#hl=en&gs_nf=1&pq=eclipse%20unable%20to%20resolve%20jre&cp=1&gs_id=20&xhr=t&q=eclipse+the+specified+jre+installation+does+not+exist&pf=p&client=ubuntu&channel=cs&sclient=psy-ab&oq=EThe+specified+JRE+installation+does+not+exist&aq=0&aqi=g1g-b2g-q1&aql=&gs_l=&pbx=1&bav=on.2,or.r_gc.r_pw.r_qf.,cf.osb&fp=a2735f00acb4151e&biw=1175&bih=798


However, none of the above solves my problem. what's wrong with Eclipse??? Or, do I need to re-install Eclipse again and again?


Frustrated...

Rgds
Pei










Welcome to Vision Open
http://www.visionopen.com
Re: The specified JRE installation does not exist [message #871288 is a reply to message #871280] Fri, 11 May 2012 18:41 Go to previous message
JIA Pei is currently offline JIA PeiFriend
Messages: 49
Registered: September 2009
Member


It seems problem solved.
Configure JRE before run.
Right click build.xml, Run Configuration, then, JRE tab, select the corresponding JRE and then re-select the JRE again.

Cheers
Pei


Welcome to Vision Open
http://www.visionopen.com
Previous Topic:New here, how to include source from outside workspace/project?
Next Topic:Eclipse SVN changeset behaviour to work based on change instead file (urgent)
Goto Forum:
  


Current Time: Sun Dec 21 22:20:47 GMT 2014

Powered by FUDForum. Page generated in 0.01503 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software